Name:		wlassistant
Version:	0.5.7
Release:	7%{?dist}
License:	GPLv2+
Group:		Applications/System
Summary:	Wireless network management tool
URL:		http://wlassistant.sourceforge.net
Source0:	http://download.sourceforge.net/wlassistant/wlassistant-%{version}.tar.bz2
Source1:	wlassistant.console_apps
Source2:	wlassistant.pamd
Source3:	wlassistant.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	kdelibs3-devel, desktop-file-utils, wireless-tools-devel, scons
BuildRequires:	qt-devel, gettext
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Requires:       usermode, wireless-tools, net-tools, dhclient, pam
Patch0:		wlassistant-0.5.5-rpath.patch
Patch1:		wlassistant-0.5.7-fd_cloexec.patch

%description
Wireless Assistant (wlassistant) is a small application that allows you to 
connect to wireless networks.

MAIN FEATURES:
- WPA-PSK Encryption Support (WPA/WPA2)
- WEP Encryption Support
- Not Broadcasted ("hidden") ESSIDs Support
- Per Network (AP) Configuration Profiles
- Automatic (DHCP, both dhcpcd and dhclient) and manual configuration options.
- Connection status monitoring

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
PARSED_OPT_FLAGS=`echo \'$RPM_OPT_FLAGS\' | sed "s/ /',/g" | sed "s/',/', '/g"`
sed -i "s|'-O2'|[$PARSED_OPT_FLAGS]|" bksys/generic.py
./configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/pam.d
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
install -m0644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/security/console.apps/wlassistant
install -m0644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/pam.d/wlassistant

rm -rf $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/wlassistant.desktop

desktop-file-install --vendor fedora \
	--dir $RPM_BUILD_ROOT%{_datadir}/applications \
	--add-category X-Fedora \
	%{SOURCE3}

%find_lang %{name}

# We're going to use consolehelper, since this is a GUI app.
cd $RPM_BUILD_ROOT%{_sbindir}/
ln -s /usr/bin/consolehelper wlassistant

%post
update-desktop-database %{_datadir}/applications &> /dev/null

%postun
if [ "$1" = "0" ]; then
  update-desktop-database %{_datadir}/applications &> /dev/null
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/AUTHORS doc/COPYING doc/README doc/NEWS doc/TODO ChangeLog
%config(noreplace) %{_sysconfdir}/pam.d/wlassistant
%config(noreplace) %{_sysconfdir}/security/console.apps/wlassistant
%{_bindir}/wlassistant
%{_sbindir}/wlassistant
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/16x16/apps/wlassistant.png
%{_datadir}/icons/hicolor/32x32/apps/wlassistant.png

%changelog
* Tue Mar 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-7
- fix BuildRequires for kdelibs3-devel

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5.7-6
- Autorebuild for GCC 4.3

* Sat Nov 17 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-5
- fix pam file to use console-apps pam tree, instead of its own
  resolves 243240, 306041

* Mon Aug 27 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-4
- rebuild for ppc32
- license tag fix

* Mon Jul 23 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-3
- close file descriptors with FD_CLOEXEC, try to resolve bz 243509

* Wed May 23 2007 Christopher Aillon <caillon@redhat.com> 0.5.7-2
- Rebuild against newer libiw.so

* Tue Apr 10 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.7-1
- 0.5.7

* Thu Jan 18 2007 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.6-1
- bump to 0.5.6

* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-4
- fix bz 205886

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-3
- add BR: gettext

* Mon Sep  4 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-2
- fix BR: wireless-tools-devel for fc6+

* Tue Feb 28 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.5-1
- bump to 0.5.5

* Sat Sep 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.4a-3
- use .desktop file as SOURCE3 rather than screwing around with dos2unix

* Sat Sep 17 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.4a-2
- add BR: wireless-tools

* Sun Sep  4 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.5.4a-1
- initial package for Fedora Extras
